﻿server:
  port: 9999
  compression: #开启gzip压缩，返回内容大于2k的才会进行压缩
    enabled: true
    mime-types: application/javascript,text/css,application/json,application/xml,text/html,text/xml,text/plain
    min-response-size: 2048

#mybatis:
#  configuration:
#    map-underscore-to-camel-case: true
#  mapper-locations: classpath:mappers/*.xml
#  type-aliases-package: com.xkcoding.orm.mybatis.entity

mybatis:
  type-handlers-package: link.at17.mid.tushare.data.typehandler
  
mybatis-plus:
  type-aliases-package: link.at17.mid.tushare.data.models, link.at17.mid.tushare.web.models
  # see: com.baomidou.mybatisplus.extension.spring.MybatisSqlSessionFactoryBean
  # 已弃用: typeEnumsPackage
  # type-enums-package: link.at17.mid.tushare.enums
  mapper-locations: classpath*:mappers/*.xml
  configuration:
    map-underscore-to-camel-case: true
    default-enum-type-handler: org.apache.ibatis.type.EnumOrdinalTypeHandler
    # 打印 SQL 语句
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
    
logging.level:
    link.at17.mid.tushare: debug
    link.at17.mid.tushare.test: debug
    # org.springframework.security: debug
    # org.springframework.security.web.access.intercept.RequestMatcherDelegatingAuthorizationManager: trace

spring:
  devtools:
    restart:
      enabled: true
      additional-exclude: 
        - '**/*.html'
        - '**/*.js'
        - '**/*.css'
      additional-paths: lib/
  web.resources.chain.strategy.content.enabled: true
  cache:
    type: redis
    redis:
      key-prefix: 'verich:'
      use-key-prefix: true
  profiles.active: local
  session.timeout: 86400
  thymeleaf:
    prefix: classpath:/templates/
    suffix: .html
    mode: HTML
    encoding: UTF-8
    cache: false

# 甜狗机器人
sweet-dog-app-env:
  appId: cli_a27cc42e4af8d00b
  appSecret: 51zIFNfmUJlvThKL7FvrLgw5JOgluRmA
  verificationToken: tKduFc8bMUzO1jff0mM8kgYWa3xXMzof
  larkHost: https://open.feishu.cn
  encryptKey: S5jqYLFMsM2GJ3V3qTGwrblGIGSqTytI
  
kaptcha:
  border: "no"
  image:
    width: 130
    height: 38
  textproducer:
    char:
       length: 5
    font:
      color: 35,37,38,80
      size: 30
      names: Times New Roman,Sans,Microsoft Yahei UI,Consolas
  session:
    key: code
  noise:
    color: 35,37,38,80
  